Package org.opensaml.soap.wstrust.impl

# Class AbstractWSTrustObjectUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.soap.wstrust.impl.AbstractWSTrustObjectUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `AllowPostdatingUnmarshaller`, `AuthenticatorUnmarshaller`, `CancelTargetUnmarshaller`, `ClaimsUnmarshaller`, `DelegatableUnmarshaller`, `DelegateToUnmarshaller`, `EncryptionUnmarshaller`, `EntropyUnmarshaller`, `ForwardableUnmarshaller`, `KeyExchangeTokenUnmarshaller`, `LifetimeUnmarshaller`, `OnBehalfOfUnmarshaller`, `ParticipantsUnmarshaller`, `ParticipantTypeUnmarshaller`, `ProofEncryptionUnmarshaller`, `RenewingUnmarshaller`, `RenewTargetUnmarshaller`, `RequestedProofTokenUnmarshaller`, `RequestedReferenceTypeUnmarshaller`, `RequestedSecurityTokenUnmarshaller`, `RequestedTokenCancelledUnmarshaller`, `RequestKETUnmarshaller`, `RequestSecurityTokenCollectionUnmarshaller`, `RequestSecurityTokenResponseCollectionUnmarshaller`, `RequestSecurityTokenResponseUnmarshaller`, `RequestSecurityTokenUnmarshaller`, `SignChallengeTypeUnmarshaller`, `StatusUnmarshaller`, `UseKeyUnmarshaller`, `ValidateTargetUnmarshaller`

public abstract class AbstractWSTrustObjectUnmarshaller extends AbstractXMLObjectUnmarshaller
An abstract unmarshaller implementation for XMLObjects from WS-Trust.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSTrustObjectUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractWSTrustObjectUnmarshaller

public AbstractWSTrustObjectUnmarshaller()